Anti-forgery error?

Vote:
 

Well, they say that a picture says more then a thousand words which applies for this issue, but I'll try to explain as good as I can.

A customer have just installed internet explorer 10 and tries to log into edit mode in Episerver CMS 6 R2 but the page is messed up and in the address field a log of characters have been inserted between the hostname (URI) and the path to edit mode. The page refreshes constantly. 

In log4net there are a log of messages, but some messages seem to repeat itself.

1.1.3 Page Initialized

Adding hidden anti-forgery field to response

Starting request with url [Path to login page] ?ReturnURL=[cmspath]/javascript/editmodeshellintegration.js

Url is not valid for rewrite Returning url [Path to login page] ?ReturnURL=[cmspath]/javascript/editmodeshellintegration.js

Exiting with no rewrite. URL is [Path to login page] ?ReturnURL=[cmspath]/javascript/editmodeshellintegration.js

Attaching anti-forgery to request

User already has anti-forgery cookie set

Page initialized ...

Another BeginRequestEventHandler with path to another javascript file

Since the error started to occur in IE 10 (and IE 11) and works in for example chrome it seems to be a problem with newer editons of Internet Explorer.

Based on the messages in log4net it seems to be some kind of validation errors on javascript files that is beeing used in edit mode.

 

Anyone else experienced similar problems?? 

Thank you very much for any clues on this problem!

#77495
Nov 20, 2013 11:49
Vote:
 

The error seems to occur on the server or from a computer inside the company only.

I don't experience this error outside from my computer

#77500
Nov 20, 2013 12:00
Vote:
 

Disabling protected mode did not help.

#77501
Nov 20, 2013 12:05
Vote:
 

Changing to the lowest security level and lowering privacy level did not help eighter.

#77502
Nov 20, 2013 12:11
Vote:
 

This cannot be fixed because the browser is not supported.

Answer from Episerver Helpdesk:

Hi Jon Haakon,

 

Unfortunately IE10 and IE11 are not tested with and therefore not supported browsers for cms6r2.

 

Supported browsers are:

•Microsoft Internet Explorer 7.0

•Microsoft Internet Explorer 8.0

•Microsoft Internet Explorer 9.0

•Firefox 3.6, 4.0

http://world.episerver.com/Framework/Templates/Page.aspx?id=45943&epslanguage=en

 

Best regards,

EPiServer Developer Support

Fredrik 

View your Incident online: https://servicedesk.episerver.com/OTWG/Login.aspx?id=1220917&singleton=1&guestlogin_id=10

#77521
Nov 20, 2013 15:24
Vote:
 

I see this error in may solutions, I can't understand that Episerver doesn't find a solution on this error.

What is anti- anti-forgery field?

Ref. Log4net error : Adding hidden anti-forgery field to response

#77980
Nov 29, 2013 13:43
Vote:
 

We have the same problem with IE 11.

And according to EPiServer

Any of the following is required for edit mode:

  • Microsoft Internet Explorer 11 – on-page editing disabled 
  • Microsoft Internet Explorer 10 – on-page editing disabled 
  • Microsoft Internet Explorer 9
  • Microsoft Internet Explorer 8
  • Microsoft Internet Explorer 7
  • Firefox 4
  • Firefox 3.6

http://world.episerver.com/Framework/Templates/Page.aspx?id=45943&epslanguage=en

Is there a solution for this yet.

 

/Lars

#81599
Feb 20, 2014 11:49
Vote:
 

See Linus Ekströms comment on :

http://world.episerver.com/Forum/Developer-forum/EPiServer-CMS-6-R2/Thread-Container/2013/8/XForms-editor-doesnt-work-in-IE10/

"Check http://support.microsoft.com/kb/2836939/en-us for the IE11 issue."

#81600
Feb 20, 2014 11:56
Vote:
 

thanks Jon Haakon

but this does not work.

"KB2836939v3 does not apply, or is blocked by another condition on your computer."

/Lars

#81601
Feb 20, 2014 12:03
Vote:
 

Have you installed KB2836939v3 on the webserver running the episerver solution?

#81610
Feb 20, 2014 12:29
Vote:
 

If you install the latest version of the .NET framework on the server  it should work better.

#81611
Edited, Feb 20, 2014 13:01
Vote:
 

My fault. I should have figured it out. I tried to install on my client because I thought it was a client problem.

We will try to install it in the web server.

I will return with result.

thanks for all help :)

/Lars

#81612
Feb 20, 2014 13:04
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.